#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-4ekbr9pdHcRF3NMnMEs1g5
key:                  ghcide-1.10.0.0-4ekbr9pdHcRF3NMnMEs1g5
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  1fc1598e9499ccfcf7049bc2d37bc649
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-4ekbr9pdHcRF3NMnMEs1g5
depends:
    Diff-0.4.1-3QU6dU4dLBlDlzFLAEciBY
    Glob-0.10.2-Ej5zjQjFQNMGYiyx9LBk6V
    aeson-2.1.2.1-Hmx6V7500mlHwEWmxxTOFD
    aeson-pretty-0.8.10-7vPHO3smvQZK5qlz5D0Gn7 array-0.5.4.0
    async-2.2.5-2ZAiDX9fTSEE4pk3DTvSLh base-4.16.4.0
    base16-bytestring-1.0.2.0-9Uw7FmZioqV3AZ8gfMgJAR binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-HsMAjV1BeNFIsZUD16P0wt
    co-log-core-0.3.2.3-1ot8zAcKXjtGa2esaUvW3S containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-3coEE0K5F0Sj6Jaa8fY5E
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-K1wJr0GLC0W4Aenrg5gtMR
    dependent-sum-0.7.2.0-7HmtSTXfnOT5aASLLcmaA3 directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-CZFC7TfSYlcDSIc74VbsA exceptions-0.10.4
    extra-1.7.16-5bHvI5vDJon4dYLXmPT4nO filepath-1.4.2.2
    fingertree-0.1.5.0-AAE9MXaKP48Jl0vok5xwHY
    focus-1.0.3.2-Dr0bHI4snKUEDRLfEPLwm8 ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-8K9Rj7zTisn4XMgcrsWqrW
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-cyz3DDdhWADj32bfNnxq0
    hashable-1.4.4.0-FBBN0pDZ0iK3ZcMpqjlzBP
    hie-bios-0.12.0-7URuVHS4sGEDAoAf1lzxwp
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-Gby6WXi1g7YIw6pCNgAA3h
    hls-graph-1.9.0.0-xTm3aUH61RA8fNK6Z0vg8
    hls-plugin-api-1.6.0.0-9oUNeHhHvnAE64SusD4wCJ
    implicit-hie-0.1.2.7-7OQ19GVmpWa5DSYkTWwlMa
    implicit-hie-cradle-0.5.0.1-97tdd9HeQ79KNb9wPutTns
    lens-5.2.3-JZlTl7ln1H75pA3WhO3fZ6
    list-t-1.0.5.5-2HLdivYXKxr9xFYdFKGSon
    lsp-1.6.0.0-9cxWbScNBy7HVTpzJj1H4B
    lsp-types-1.6.0.1-LsNEVhfFmHmAQZalWMy2wL mtl-2.2.2
    opentelemetry-0.8.0-AObBM4i3uVO9tnvAJZuVQF
    optparse-applicative-0.17.1.0-51ozKlq3KWwz62S2JV9Uu
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-InJEtMEJlZ7AzhRfaWF0Ic
    prettyprinter-ansi-terminal-1.1.3-FroLUwLiqDPCvGz7h5ftV1
    random-1.2.1.2-DIZyKmjQrA2EHLXmESacsI
    regex-tdfa-1.3.2.2-AmUs7VSavmPDud8fuDvWWU
    safe-exceptions-0.1.7.4-Ja0RBUGmCFCBD23Cpo8wue
    sorted-list-0.2.2.0-AB71tcrKAeL3OtRsvALBis
    sqlite-simple-0.4.19.0-Ffr2zWwyed28J091yMAv9P stm-2.5.0.2
    stm-containers-1.2.1.1-FIVN6UBhaDT2oc9Zqx4Jsq
    syb-0.7.2.4-7ynUdJcB17N8mF8LpyS12V text-1.2.5.0
    text-rope-0.3-ES2YouIFG95CBB30cpAJMY time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.1-9tZafrT7DzIKn8df5CxKYk
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-synCBDLh0NACk48p5Re76
    vector-0.13.1.0-5Ks1FSmymfI2i781M8kBvn

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

